#pragma once

#include "database.hh"
#include <QTableWidget>

class EventWidget : public QTableWidget
{
    Q_OBJECT

public:
    explicit EventWidget(QWidget* parent = nullptr);
    ~EventWidget();

    void displayEvents(
        const QList<EventRecord>& events,
        const QMap<int, QString>& eventTypes, int digits);
};
